Calculates the exponent of e

- « deg2rad

- expm1 »

- PHP Manual
- Math Functions
- Calculates the exponent of e

# exp

(PHP 4, PHP 5, PHP 7, PHP 8)

exp — Calculates the exponent of `e`

### Description

exp(float `$num`): float

Returns `e` raised to the power of `num`.

> Note:

> '`e`' is the base of the natural system of logarithms, or approximately 2.718282.

### Parameters

`num`

  The argument to process

### Return Values

'e' raised to the power of `num`

### Examples

Example #1 exp() example

    <?php
    echo exp(12), PHP_EOL;
    echo exp(5.7);
    ?>

The above example will output:

    162754.791419
    298.86740096706

### See Also

- log() - Natural logarithm
- pow() - Exponential expression